%define firefox_app_id \{ec8030f7-c20a-464f-9b0e-13a3a9e97384\}
%define src_ext_id \{d10d0bf8-f5b5-c8b4-a8b2-2b9879e08c5d\}
%define inst_dir %{_datadir}/mozilla/extensions/%{firefox_app_id}/%{src_ext_id}

# Do not build a debug package, we have nothing to strip
%define debug_package %{nil}

Name:           mozilla-adblockplus
Version:        1.1.3
Release:        2%{?dist}
Summary:        Adblocking extension for Mozilla Firefox

Group:          Applications/Internet
License:        MPLv1.1
URL:            http://adblockplus.org/
# Sources 0 and 1 generated with Source99
Source0:        %{name}-%{version}.tar.bz2
Source1:        %{name}-%{version}-buildtools.tar.bz2
Source99:       %{name}-tarball.sh
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch

BuildRequires:  zip, perl, sed
# Commented, rpm seems not to be able to handle this anymore
# Requirements are defined as files in order to better cope with changing firefox/mozilla packages
#Requires:       %{_libdir}/mozilla/extensions/, %{_libdir}/mozilla/extensions/%{firefox_app_id}/
Requires:       firefox


%description
Adblock Plus is a content-filtering extension for the Mozilla Firefox- and
Mozilla Application Suite-based web browsers. Adblock Plus allows users to
prevent page elements, such as advertisements, from being downloaded and
displayed.
It features improvements to the user interface, filter subscriptions, and
element hiding over the original Adblock extension.


%prep
%setup -q -a 1


%build
mkdir -p _build
perl create_xpi.pl _build/%{name}-%{version}-%{release}.xpi


%install
rm -rf %{buildroot}
cd _build
unzip %{name}-%{version}-%{release}.xpi
install -dm 755 %{buildroot}%{inst_dir}
install -pm 644 chrome.manifest icon.png install.rdf %{buildroot}%{inst_dir}
install -Dpm 644 components/AdblockPlus.js \
    %{buildroot}%{inst_dir}/components/AdblockPlus.js
install -Dpm 644 defaults/preferences/adblockplus.js \
    %{buildroot}%{inst_dir}/defaults/preferences/adblockplus.js
install -Dpm 644 chrome/adblockplus.jar \
    %{buildroot}%{inst_dir}/chrome/adblockplus.jar


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{inst_dir}


%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Mar 19 2010 Ville Skyttä <ville.skytta@iki.fi> - 1.1.3-1
- Update to 1.1.3 (#569137).

* Thu Aug 27 2009 Andreas Thienemann <andreas@bawue.net> - 1.1.1-1
- Updated to 1.1.1 upstream release

* Sun Jul 19 2009 Andreas Thienemann <andreas@bawue.net> - 1.1-1
- Updated to 1.1 upstream release

* Wed Apr 29 2009 Andreas Thienemann <andreas@bawue.net> - 1.0.2-1
- Updated to 1.0.2 upstream release

* Tue Apr 07 2009 Andreas Thienemann <andreas@bawue.net> - 1.0.1-1
- Initial package
